
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.newores.init;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.CreativeModeTabEvent;

import net.minecraft.world.item.Items;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.network.chat.Component;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class NewOresModTabs {
	@SubscribeEvent
	public static void buildTabContentsVanilla(CreativeModeTabEvent.BuildContents tabData) {

		if (tabData.getTab() == CreativeModeTabs.NATURAL_BLOCKS) {
			tabData.accept(NewOresModBlocks.RUBY_ORE.get().asItem());
		}
	}

	@SubscribeEvent
	public static void buildTabContentsModded(CreativeModeTabEvent.Register event) {
		event.registerCreativeModeTab(new ResourceLocation("new_ores", "gemstones"),
				builder -> builder.title(Component.translatable("item_group.new_ores.gemstones")).icon(() -> new ItemStack(Items.AMETHYST_SHARD)).displayItems((parameters, tabData) -> {
					tabData.accept(NewOresModItems.SAPPHIRE.get());
					tabData.accept(NewOresModItems.TOPAZ.get());
					tabData.accept(NewOresModItems.OPAL.get());
					tabData.accept(NewOresModItems.GARNET.get());
					tabData.accept(NewOresModItems.ROSE_QUARTZ.get());
					tabData.accept(NewOresModItems.BLACK_OPAL.get());
					tabData.accept(NewOresModItems.CITRINE.get());
					tabData.accept(NewOresModBlocks.ROSE_QUARTZ_BLOCK.get().asItem());
					tabData.accept(NewOresModItems.SULPHUR.get());
					tabData.accept(NewOresModBlocks.SULPHUR_BLOCK.get().asItem());
					tabData.accept(NewOresModBlocks.CITRINE_BLOCK.get().asItem());
					tabData.accept(NewOresModBlocks.SAPPHIRE_ORE.get().asItem());
					tabData.accept(NewOresModItems.ZINC.get());
					tabData.accept(NewOresModItems.STAINLESS_STEEL.get());
					tabData.accept(NewOresModItems.TIN.get());
					tabData.accept(NewOresModItems.ALUMINUM.get());
					tabData.accept(NewOresModItems.BRASS.get());
					tabData.accept(NewOresModItems.BRONZE.get());
					tabData.accept(NewOresModBlocks.TOPAZ_ORE.get().asItem());
					tabData.accept(NewOresModBlocks.OPAL_ORE.get().asItem());
					tabData.accept(NewOresModBlocks.GARNET_ORE.get().asItem());
					tabData.accept(NewOresModBlocks.BLACK_OPAL_ORE.get().asItem());
					tabData.accept(NewOresModBlocks.ZINC_ORE.get().asItem());
					tabData.accept(NewOresModBlocks.TIN_ORE.get().asItem());
					tabData.accept(NewOresModBlocks.ALUMINUM_ORE.get().asItem());
				})

		);
	}
}
